#version 150

uniform sampler2D DiffuseSampler;

in vec2 texCoord;
in vec2 oneTexel;

uniform vec2 InSize;

out vec4 fragColor;

void main() {
	vec4 sampleValue = texture(DiffuseSampler, texCoord);
	sampleValue.rgb = ((step(sampleValue.g, sampleValue.r-0.002) * vec3(1.0, 0.0, 0.0)) + ((-step(sampleValue.g, sampleValue.r-0.002)+1.0) * vec3(1.0, 1.0, 1.0))) * sign(sampleValue.r);
	
	fragColor = sampleValue;
}
